BeanFactoryAdvisorRetrievalHelper (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.framework.autoproxy

## Class BeanFactoryAdvisorRetrievalHelper

- java.lang.Object
- - org.springframework.aop.framework.autoproxy.BeanFactoryAdvisorRetrievalHelper

-     public class BeanFactoryAdvisorRetrievalHelper
      extends Object

  Helper for retrieving standard Spring Advisors from a BeanFactory, for use with auto-proxying.
  Since:
    2.0.2
  Author:
    Juergen Hoeller
  See Also:
    `AbstractAdvisorAutoProxyCreator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFactoryAdvisorRetrievalHelper(ConfigurableListableBeanFactory beanFactory)` Create a new BeanFactoryAdvisorRetrievalHelper for the given BeanFactory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Advisor>` | `findAdvisorBeans()` Find all eligible Advisor beans in the current bean factory, ignoring FactoryBeans and excluding beans that are currently in creation.
    `protected boolean` | `isEligibleBean(String beanName)` Determine whether the aspect bean with the given name is eligible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFactoryAdvisorRetrievalHelper

          public BeanFactoryAdvisorRetrievalHelper(ConfigurableListableBeanFactory beanFactory)

      Create a new BeanFactoryAdvisorRetrievalHelper for the given BeanFactory.
      Parameters:
        `beanFactory` - the ListableBeanFactory to scan

  - ### Method Detail

    - #### findAdvisorBeans

          public List<Advisor> findAdvisorBeans()

      Find all eligible Advisor beans in the current bean factory, ignoring FactoryBeans and excluding beans that are currently in creation.
      Returns:
        the list of `Advisor` beans
      See Also:
        `isEligibleBean(java.lang.String)`

    - #### isEligibleBean

          protected boolean isEligibleBean(String beanName)

      Determine whether the aspect bean with the given name is eligible.

      The default implementation always returns `true`.

      Parameters:
        `beanName` - the name of the aspect bean
      Returns:
        whether the bean is eligible